import 'package:freezed_annotation/freezed_annotation.dart';

part 'model.freezed.dart';
part 'model.g.dart';

@freezed
class Request with _$Request {
  const factory Request({
    required String appId,
    required String sentence,
    required String outputType,
  }) = _Request;

  factory Request.fromJson(Map<String, dynamic> json) =>
      _$RequestFromJson(json);
}

@freezed
class TranslateState with _$TranslateState {
  const factory TranslateState.input() = _Input;
  const factory TranslateState.loading() = _Loading;
  const factory TranslateState.data({required String sentence}) = _Data;
}
